Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Gtk::Invisible Class Reference

A GtkInvisible C++ wrapper class. More...

`#include <inti/gtk/invisible.h>`

Inheritance diagram for Inti::Gtk::Invisible:

List of all members.

## Public Member Functions

Constructors

- Invisible ()
    Construct a new Invisible.
- Invisible (const Gdk::Screen &screen)
    Construct a new Invisible object for the specified screen.
- virtual ~Invisible ()
    Destructor.

Accessors

- GtkInvisible * gtk_invisible () const
    Get a pointer to the GtkInvisible structure.
- GtkInvisibleClass * gtk_invisible_class () const
    Get a pointer to the GtkInvisibleClass structure.
- operator GtkInvisible * () const
    Conversion operator; safely converts an Invisible to a GtkInvisible pointer.
- Gdk::Screen * get_screen () const
    Returns the Gdk::Screen object associated with the invisible.

Methods

- void set_screen (const Gdk::Screen &screen)
    Sets the Gdk::Screen where the Invisible object will be displayed.

Property Proxies

- const ScreenPropertyProxy prop_screen ()
    The screen where this window will be displayed (Gdk::Screen* : Read / Write).

## Protected Member Functions

Constructors

- Invisible (GtkInvisible *invisible, bool reference=false)
    Construct a new Invisible from an existing GtkInvisible.

## Detailed Description

A GtkInvisible C++ wrapper class.

The Invisible widget is used internally in GTK+, and is probably not useful for application developers. It is used for reliable pointer grabs and selection handling in the code for drag-and-drop. If you ever need to implement manual drag-and-drop you might find this widget useful.

## Constructor & Destructor Documentation

Inti::Gtk::Invisible::Invisible | ( | GtkInvisible * | invisible,
|  | bool | reference = false
| ) | `[explicit, protected]`

  | Construct a new Invisible from an existing GtkInvisible. Parameters:
  invisible | A pointer to a GtkInvisible.
  reference | Set false if the initial reference count is floating, set true if it's not.
The invisible can be a newly created GtkInvisible or an existing GtkInvisible (see G::Object::Object).

Inti::Gtk::Invisible::Invisible | ( | const Gdk::Screen & | screen | ) | `[explicit]`

  | Construct a new Invisible object for the specified screen. Parameters:
  screen | A Screen which identifies on which screen the new Invisible will be created.

## Member Function Documentation

Gdk::Screen* Inti::Gtk::Invisible::get_screen | ( |  | ) | const

| Returns the Gdk::Screen object associated with the invisible. Returns: The associated Gdk::Screen. If no screen was explicitly set this method returns the default screen. Reimplemented from Inti::Gtk::Widget.

void Inti::Gtk::Invisible::set_screen | ( | const Gdk::Screen & | screen | ) |

  | Sets the Gdk::Screen where the Invisible object will be displayed. Parameters:
  screen | A Gdk::Screen.

The documentation for this class was generated from the following file:

- invisible.h

Main Page - Footer